import { B as i, G as o, o as t, x as b, C as s, y as r } from "./index-597e6e44.mjs";
import "vue";
const u = i("el-tabs", {}, (e, { config: a }) => (e["#"] = c(a), e));
function c(e) {
  const a = [];
  let l = 0;
  for (const n of e._container || [])
    a.push(p(n, l++));
  return a;
}
function p(e, a) {
  const l = o("el-tab-pane", { config: e });
  return l.name = a, l.lazy = !0, l;
}
const _ = {
  key: "_tabs",
  name: t("_.builtIn.element.tabs.name"),
  description: "",
  icon: "mdiTab",
  sequence: 22,
  transform: u,
  editor: {
    basic: {
      ui: [
        b(
          "type",
          [
            { value: "card", label: t("_.builtIn.element.tabs.type_card") },
            { value: "border-card", label: t("_.builtIn.element.tabs.type_border-card") }
          ],
          t("_.builtIn.element.tabs.type")
        ),
        b(
          "tab-position",
          [
            { value: "top", label: t("_.builtIn.element.tabs.tab-position_top") },
            { value: "right", label: t("_.builtIn.element.tabs.tab-position_right") },
            { value: "bottom", label: t("_.builtIn.element.tabs.tab-position_bottom") },
            { value: "left", label: t("_.builtIn.element.tabs.tab-position_left") }
          ],
          t("_.builtIn.element.tabs.tab-position")
        ),
        s("stretch", t("_.builtIn.element.tabs.stretch")),
        {
          "~component": "lc-editable-list",
          "~label": t("_.builtIn.element.tabs.tabs"),
          "~prop": "_container",
          labelColumn: "label",
          editConfig: [r("label", t("_.builtIn.element.tabs.tabs_label"))]
        }
      ],
      init: {
        type: "border-card",
        "tab-position": "top",
        stretch: !1,
        _container: [
          {
            label: "Tab 1"
          },
          {
            label: "Tab 2"
          },
          {
            label: "Tab 3"
          }
        ]
      }
    },
    data: {
      // modelValueName:'model',
      //readonly:true,
      type: "Number"
    },
    display: {
      init: {
        style: {
          display: "block",
          width: "100%",
          margin: "4px 0 4px 0"
        }
      }
    }
  }
};
export {
  _ as default
};
